Checks if method is private

- « ReflectionMethod::isFinal

- ReflectionMethod::isProtected »

- PHP Manual
- ReflectionMethod
- Checks if method is private

# ReflectionMethod::isPrivate

(PHP 5, PHP 7, PHP 8)

ReflectionMethod::isPrivate — Checks if method is private

### Description

public ReflectionMethod::isPrivate(): bool

Checks if the method is private.

### Parameters

This function has no parameters.

### Return Values

`true` if the method is private, otherwise `false`

### See Also

- ReflectionMethod::isPublic() - Checks if method is public